## oomox 1.12.5.3

=== Makefile ===
DESTDIR = ./distrib
PREFIX = /usr
APPDIR = /opt/oomox

DISABLE_PLUGIN_MATERIA = 0
DISABLE_PLUGIN_ARC = 0
DISABLE_PLUGIN_SPOTIFY = 0
DISABLE_PLUGIN_IMPORT_IMAGE = 0


.PHONY: install
install:
	$(eval DEST_APPDIR := $(DESTDIR)$(APPDIR))
	$(eval DEST_PREFIX := $(DESTDIR)$(PREFIX))
	$(eval PACKAGING_TMP_DIR := $(shell mktemp -d))

	mkdir -p $(DEST_APPDIR)
	cp -prf \
		CREDITS \
		LICENSE \
		README.md \
		scripted_colors \
		colors \
		gui.sh \
		oomox_gui \
		plugins \
		po \
		po.mk \
		terminal_templates \
			$(DEST_APPDIR)/

	$(RM) -r "$(DEST_APPDIR)/plugins/oomoxify/".git*
	$(RM) -r "$(DEST_APPDIR)/plugins"/*/*/.git*
	$(RM) -r "$(DEST_APPDIR)/plugins/theme_oomox/gtk-theme/".editorconfig
	$(RM) -r "$(DEST_APPDIR)/plugins/theme_oomox/gtk-theme/".*.yml
	$(RM) -r "$(DEST_APPDIR)/plugins/theme_oomox/gtk-theme/"{D,d}ocker*
	$(RM) -r "$(DEST_APPDIR)/plugins/theme_oomox/gtk-theme/"maintenance*
	$(RM) -r "$(DEST_APPDIR)/plugins/theme_oomox/gtk-theme/"screenshot*
	$(RM) -r "$(DEST_APPDIR)/plugins/theme_oomox/gtk-theme/"test*

	cp -prf \
		packaging/ \
			$(PACKAGING_TMP_DIR)/

ifeq ($(DISABLE_PLUGIN_MATERIA), 1)
	$(RM) -r $(DEST_APPDIR)/plugins/theme_materia/
	$(RM) $(PACKAGING_TMP_DIR)/packaging/bin/oomox-materia-cli
endif
ifeq ($(DISABLE_PLUGIN_ARC), 1)
	$(RM) -r $(DEST_APPDIR)/plugins/theme_arc/
endif
ifeq ($(DISABLE_PLUGIN_SPOTIFY), 1)
	$(RM) -r $(DEST_APPDIR)/plugins/oomoxify/
	$(RM) $(PACKAGING_TMP_DIR)/packaging/bin/oomoxify-cli
endif
ifeq ($(DISABLE_PLUGIN_IMPORT_IMAGE), 1)
	$(RM) -r $(DEST_APPDIR)/plugins/import_pil/
endif

	sed -i -e 's|/opt/oomox/|$(APPDIR)/|g' $(PACKAGING_TMP_DIR)/packaging/bin/*

	chmod a+x "$(PACKAGING_TMP_DIR)/packaging/bin/"*
	install -Dp -m 755 --target-directory="$(DEST_PREFIX)/bin/" "$(PACKAGING_TMP_DIR)/packaging/bin/"*

	install -d $(DEST_PREFIX)/share/applications/
	install -Dp -m 644 "$(PACKAGING_TMP_DIR)/packaging/com.github.themix_project.Oomox.desktop" "$(DEST_PREFIX)/share/applications/"

	install -d $(DEST_PREFIX)/share/appdata/
	install -Dp -m 644 "$(PACKAGING_TMP_DIR)/packaging/com.github.themix_project.Oomox.appdata.xml" "$(DEST_PREFIX)/share/appdata/"

	install -Dp -m 644 "$(PACKAGING_TMP_DIR)/packaging/com.github.themix_project.Oomox-symbolic.svg" "$(DEST_PREFIX)/share/icons/hicolor/symbolic/apps/com.github.themix_project.Oomox-symbolic.svg"
	install -Dp -m 644 "$(PACKAGING_TMP_DIR)/packaging/com.github.themix_project.Oomox.svg" "$(DEST_PREFIX)/share/icons/hicolor/scalable/apps/com.github.themix_project.Oomox.svg"

	$(RM) -r $(PACKAGING_TMP_DIR)

	# will update ./po and produce ./locale dir:
	make -C $(DEST_APPDIR) -f po.mk install
	rm $(DEST_APPDIR)/po.mk

all: install

=== icons_suruplus/suru-plus/Makefile ===
# GNU make is required to run this file. To install on *BSD, run:
#   gmake PREFIX=/usr/local install

PREFIX ?= /usr
ICON_THEMES ?= $(patsubst %/index.theme,%,$(wildcard ./*/index.theme))

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons
	cp -R $(ICON_THEMES) $(DESTDIR)$(PREFIX)/share/icons

# skip building icon caches when packaging
	$(if $(DESTDIR),,$(MAKE) $(ICON_THEMES))

$(ICON_THEMES):
	-gtk-update-icon-cache -q $(DESTDIR)$(PREFIX)/share/icons/$@

uninstall:
	-rm -rf $(foreach icon_theme,$(ICON_THEMES),$(DESTDIR)$(PREFIX)/share/icons/$(icon_theme))

dist: AUTHORS COPYING CREDITS LICENSE Makefile
	git archive --format=tar.gz -o $(notdir $(CURDIR)).tar.gz improve-directory-tree -- $(ICON_THEMES) $^


.PHONY: $(ICON_THEMES) all install uninstall dist

# TESTS
.PHONY: test
test: test_short

.PHONY: test-all
test-all: test_short test_long

.PHONY: test_short
test_short: test_svg_elems test_symlinks test_filenames

.PHONY: test_long
test_long: test_xml_struct

.PHONY: test_svg_elems
test_svg_elems:
	# >>> Searching for icons with embedded objects
	@! LC_ALL=C grep -E -rl --include='*.svg' \
		-e '<image[ ]' \
		-e '<object[ ]' \
		$(ICON_THEMES)

.PHONY: test_symlinks
test_symlinks:
	# >>> Searching for broken symlinks
	@find $(ICON_THEMES) -xtype l -printf '%p -> %l\n' -exec false '{}' +

.PHONY: test_filenames
test_filenames:
	# >>> Searching for invalid filenames
	@find $(ICON_THEMES) -not -iregex '[-_/\.+@a-z0-9]+' -print \
		-exec false '{}' +

.PHONY: test_xml_struct
test_xml_struct:
	# >>> Searching for broken SVG icons
	@find $(ICON_THEMES) -type f -name '*.svg' \
		-exec xmlstarlet validate --list-bad '{}' +

# .BEGIN is ignored by GNU make so we can use it as a guard
.BEGIN:
	@head -3 Makefile
	@false

=== theme_oomox/gtk-theme/Makefile ===
SASS=sassc
SASSFLAGS= -I
GLIB_COMPILE_RESOURCES=glib-compile-resources

RES_DIR=gtk-3.0
SCSS_DIR=$(RES_DIR)/scss
DIST_DIR=$(RES_DIR)/dist
#
RES_DIR320=gtk-3.20
SCSS_DIR320=$(RES_DIR320)/scss
DIST_DIR320=$(RES_DIR320)/dist
#
RES_DIR_CINNAMON=cinnamon
SCSS_DIR_CINNAMON=$(RES_DIR_CINNAMON)/scss
DIST_DIR_CINNAMON=$(RES_DIR_CINNAMON)

# GTK3 ########################################################################

$(DIST_DIR):
	mkdir -p "$@"

$(DIST_DIR)/gtk.css: $(DIST_DIR)
	$(SASS) $(SASSFLAGS) "$(SCSS_DIR)" "$(SCSS_DIR)/gtk.scss" "$@"

$(DIST_DIR)/gtk-dark.css: $(DIST_DIR)/gtk.css
ifneq ("$(wildcard $(SCSS_DIR)/gtk-dark.scss)","")
	$(SASS) $(SASSFLAGS) "$(SCSS_DIR)" "$(SCSS_DIR)/gtk-dark.scss" "$@"
else
	cp "$(DIST_DIR)/gtk.css" "$@"
endif

css_gtk3: $(DIST_DIR)/gtk.css $(DIST_DIR)/gtk-dark.css

$(RES_DIR)/gtk.gresource: css_gtk3
	$(GLIB_COMPILE_RESOURCES) --sourcedir="$(RES_DIR)" "$@.xml"

gresource_gtk3: $(RES_DIR)/gtk.gresource

clean_gtk3:
	rm -rf "$(DIST_DIR)"
	rm -f "$(RES_DIR)/gtk.gresource"

gtk3:
	$(MAKE) clean_gtk3
	$(MAKE) gresource_gtk3

# GTK3.20+ ####################################################################

$(DIST_DIR320):
	mkdir -p "$@"

$(DIST_DIR320)/gtk.css: $(DIST_DIR320)
	$(SASS) $(SASSFLAGS) "$(SCSS_DIR320)" "$(SCSS_DIR320)/gtk.scss" "$@"

$(DIST_DIR320)/gtk-dark.css: $(DIST_DIR320)/gtk.css
ifneq ("$(wildcard $(SCSS_DIR320)/gtk-dark.scss)","")
	$(SASS) $(SASSFLAGS) "$(SCSS_DIR320)" "$(SCSS_DIR320)/gtk-dark.scss" "$@"
else
	cp "$(DIST_DIR320)/gtk.css" "$@"
endif

css_gtk320: $(DIST_DIR320)/gtk-dark.css $(DIST_DIR320)/gtk.css

$(RES_DIR320)/gtk.gresource: css_gtk320
	$(GLIB_COMPILE_RESOURCES) --sourcedir="$(RES_DIR320)" "$@.xml"

gresource_gtk320: $(RES_DIR320)/gtk.gresource

clean_gtk320:
	rm -rf "$(DIST_DIR320)"
	rm -f "$(RES_DIR320)/gtk.gresource"

gtk320:
	$(MAKE) clean_gtk320
	$(MAKE) gresource_gtk320

# Cinnamon ####################################################################

$(DIST_DIR_CINNAMON):
	mkdir -p "$@"

$(DIST_DIR_CINNAMON)/cinnamon.css: $(DIST_DIR_CINNAMON)
	$(SASS) $(SASSFLAGS) "$(SCSS_DIR_CINNAMON)" "$(SCSS_DIR_CINNAMON)/cinnamon.scss" "$@"

css_cinnamon: $(DIST_DIR_CINNAMON)/cinnamon.css

# Common ######################################################################

clean: clean_gtk3 clean_gtk320

all: gtk3 gtk320 css_cinnamon

.PHONY: all
.PHONY: clean

.DEFAULT_GOAL := all

# vim: set ts=4 sw=4 tw=0 noet :

=== icons_gnomecolors/gnome-colors-icon-theme/gnome-colors/Makefile ===
USE_INKSCAPE = 0
USE_RESVG = 0

PROJECT := gnome-colors-src
DOCS := AUTHORS ChangeLog COPYING README
SIZES := 16x16 22x22 24x24 32x32
THEME_FILES := $(filter-out %~,$(wildcard themes/*))
LINKS_FILE := links
DIST_EXTRA := Makefile Palette.svg

ifeq ($(USE_INKSCAPE), 1)
INKSCAPE := $(shell which inkscape)
$(info using `inkscape`)
else
ifeq ($(USE_RESVG), 1)
RENDERSVG := $(shell which rendersvg)
ifeq ($(RENDERSVG),)
$(info `resvg` not found, using `rsvg-convert` instead)
else
$(info using `resvg`)
endif
endif
endif

gnome-colors_DIST_COMMON := yes
$(PROJECT)_DIST_COMMON := yes

BRANDING := \
	places/gnome-main-menu \
	places/gnome-starthere \
	places/mandrake \
	places/mandriva \
	places/novell-button \
	places/start-here

############################### Global variables ###############################

VERSION := $(shell head -n 1 ChangeLog | cut -d ' ' -f 1)

ifeq ($(THEME_FILES),)
ALL_THEMES := $(filter-out src,$(shell find * -maxdepth 1 ! -wholename '*/.*' -type f -name index.theme -printf "%h "))
THEMES := $(filter-out gnome-colors-common,$(ALL_THEMES))
THEME_BUILD_FILES = $(shell find $(1) ! -wholename '*/.*' -type f)
THEME_BUILD_LINKS = $(shell find $(1) ! -wholename '*/.*' -type l)
else
THEMES := $(notdir $(THEME_FILES))
ALL_THEMES := $(THEMES) gnome-colors-common
config = $(shell grep "^$(2)=" themes/$(1) | sed "s/^$(2)=//")
FIXED := $(shell find src/*x* ! -wholename '*/.*' -type f -name '*.svg')
SCALABLE := $(shell find src/scalable ! -wholename '*/.*' -type f -name '*.svg')
ICON_FILES := $(shell find src ! -wholename '*/.*' -type f -name '*.icon')
ONESIZE_FILES := $(patsubst src/scalable/%,%,$(SCALABLE))
LINK_LIST := $(shell sed "s/ /-->/" $(LINKS_FILE))
LINK_FILES := $(foreach link,$(LINK_LIST),$(lastword $(subst -->, ,$(link))))
THEME_BUILD_FILES = $(1)/index.theme \
	$(patsubst src/%,$(1)/%,$(SCALABLE)) \
	$(addprefix $(1)/,$(FIXED:src/%.svg=%.png)) \
	$(addprefix $(1)/24x24/,$(ONESIZE_FILES:%.svg=%.png)) \
	$(patsubst src/%,$(1)/%,$(ICON_FILES))
THEME_BUILD_LINKS = $(addprefix $(1)/scalable/,$(LINK_FILES:%.png=%.svg)) \
	$(foreach size,$(SIZES),$(addprefix $(1)/$(size)/,$(LINK_FILES)))
endif

THEME_BUILD = $(THEME_BUILD_FILES) $(THEME_BUILD_LINKS)
BUILD_FILES := $(foreach theme,$(THEMES),$(call THEME_BUILD_FILES,$(theme)))
BUILD_LINKS := $(foreach theme,$(THEMES),$(call THEME_BUILD_LINKS,$(theme)))
BUILD := $(BUILD_FILES) $(BUILD_LINKS)
COMMON_FILES := $(shell find gnome-colors-common ! -wholename '*/.*' -type f 2> /dev/null)
COMMON_LINKS := $(shell find gnome-colors-common ! -wholename '*/.*' -type l 2> /dev/null)
COMMON := $(COMMON_FILES) $(COMMON_LINKS)

################################### Building ###################################

# all should be the first target
all:

help::
	@echo "make targets:"

ifneq ($(THEME_FILES),)

COLORS = $(call config,$(1),Alternatives)

all: $(BUILD)

define color_template
$(1)_$(2)1 := $$(call config,$(1),$(2)_LightFolderBase)
$(1)_$(2)2 := $$(call config,$(1),$(2)_LightBase)
$(1)_$(2)3 := $$(call config,$(1),$(2)_MediumBase)
$(1)_$(2)4 := $$(call config,$(1),$(2)_DarkStroke)
$(1)_$(2)_sed := s/\#8fb3d9/$$($(1)_$(2)1)/g;s/\#729fcf/$$($(1)_$(2)2)/g;s/\#3465a4/$$($(1)_$(2)3)/g;s/\#204a87/$$($(1)_$(2)4)/g
$(1)_$(2)_FIXED := $(patsubst %.svg,%.png,$(foreach size,$(filter-out 24x24,$(SIZES)),$(addprefix $(size)/,$(call config,$(1),$(2)_Files))))
$(1)_$(2)_SCALABLE := $(patsubst %.png,%.svg,$(addprefix scalable/,$(call config,$(1),$(2)_Files)))
$(1)_$(2)_FILES := $$($(1)_$(2)_FIXED) $$($(1)_$(2)_SCALABLE)
$(1)_ALTERNATIVES += $$($(1)_$(2)_FILES)
endef

$(foreach theme,$(THEMES),$(foreach color,$(call COLORS,$(theme)),$(eval $(call color_template,$(theme),$(color)))))

define theme_template
$(1)_default1 := $$(call config,$(1),LightFolderBase)
$(1)_default2 := $$(call config,$(1),LightBase)
$(1)_default3 := $$(call config,$(1),MediumBase)
$(1)_default4 := $$(call config,$(1),DarkStroke)
$(1)_default_sed := s/\#8fb3d9/$$($(1)_default1)/g;s/\#729fcf/$$($(1)_default2)/g;s/\#3465a4/$$($(1)_default3)/g;s/\#204a87/$$($(1)_default4)/g

$(1): $(call THEME_BUILD,$(1))

$(1)/index.theme: src/index.theme themes/$(1)
	@if test ! -d $(1); then mkdir -p $(1); echo "mkdir -p $(1)"; fi
	sed "s/@NAME@/$(call config,$(1),Name)/" $$< > $$@
endef

$(foreach theme,$(THEMES),$(eval $(call theme_template,$(theme))))

define png_template
$(1)/$(2).png: src/$(2).svg themes/$(1)
	@if test ! -d $$(dir $$@); then mkdir -p $$(dir $$@); echo "mkdir -p $$(dir $$@)"; fi
ifneq ($(INKSCAPE),)
	sed "$$($(1)_$(3)_sed)" $$< | $(INKSCAPE) --without-gui -f /dev/stdin -e "$$(CURDIR)/$$@"
else ifneq ($(RENDERSVG),)
	sed "$$($(1)_$(3)_sed)" $$< > "$$(CURDIR)/$$@".template.svg
	$(RENDERSVG) "$$(CURDIR)/$$@".template.svg "$$(CURDIR)/$$@"
	$(RM) "$$(CURDIR)/$$@".template.svg
else
	sed "$$($(1)_$(3)_sed)" $$< | rsvg-convert --format=png -o "$$(CURDIR)/$$@"
endif
endef

define svg_template
$(1)/$(2): src/$(2) themes/$(1)
	@if test ! -d $$(dir $$@); then mkdir -p $$(dir $$@); echo "mkdir -p $$(dir $$@)"; fi
	sed "$$($(1)_$(3)_sed)" $$< > $$@
endef

$(foreach theme,$(THEMES),$(foreach color,$(call COLORS,$(theme)), \
	$(foreach file,$(patsubst %.png,%,$($(theme)_$(color)_FIXED)),$(eval $(call png_template,$(theme),$(file),$(color)))) \
	$(foreach file,$($(theme)_$(color)_SCALABLE),$(eval $(call svg_template,$(theme),$(file),$(color)))) \
))

define 24_template
$(1)/24x24/$(2): $(1)/22x22/$(2)
	@if test ! -d $$(dir $$@); then mkdir -p $$(dir $$@); echo "mkdir -p $$(dir $$@)"; fi
	convert -bordercolor Transparent -border 1x1 $$< $$@ || true
endef

define link_template
$(1)/$(3):
	@if test ! -d $$(dir $$@); then mkdir -p $$(dir $$@); echo "mkdir -p $$(dir $$@)"; fi
	ln -sf $(2) $$@
endef

define icon_template
$(2): $(1)
	@if test ! -d $$(dir $$@); then mkdir -p $$(dir $$@); echo "mkdir -p $$(dir $$@)"; fi
	cp $$< $$@
endef

first = $(firstword $(subst -->, ,$(1)))
last = $(lastword $(subst -->, ,$(1)))

$(foreach theme,$(THEMES), \
	$(foreach file,$(filter-out $(patsubst %.png,%,$($(theme)_ALTERNATIVES)),$(patsubst src/%.svg,%,$(FIXED))),$(eval $(call png_template,$(theme),$(file),default))) \
	$(foreach file,$(filter-out $($(theme)_ALTERNATIVES),$(patsubst src/%,%,$(SCALABLE))),$(eval $(call svg_template,$(theme),$(file),default))) \
	$(foreach file,$(ONESIZE_FILES:%.svg=%.png),$(eval $(call 24_template,$(theme),$(file)))) \
	$(foreach link,$(LINK_LIST),$(foreach size,$(SIZES),$(eval $(call link_template \
		,$(theme)/$(size),$(call first,$(link)),$(call last,$(link)))))) \
	$(foreach link,$(LINK_LIST),$(eval $(call link_template \
		,$(theme)/scalable,$(patsubst %.png,%.svg,$(call first,$(link))),$(patsubst %.png,%.svg,$(call last,$(link)))))) \
	$(foreach icon,$(ICON_FILES),$(eval $(call icon_template,$(icon),$(patsubst src/%,$(theme)/%,$(icon))))) \
)

help::
	@echo "    all                      Build all files for all themes (default target)."
	@echo "    THEME                    Build all files for THEME."

else

help::
	@echo "    all                      Does nothing (default target)."

endif

#################################### Cleanup ###################################

clean:
	rm -f *.tar *.tar.bz2 *.tar.gz
ifneq ($(THEME_FILES),)
	rm -rf $(THEMES)
endif

help::
	@echo "    clean                    Deletes all files created by this makefile."

.PHONY: clean

################################# Miscellaneous ################################

BROKEN_LINKS = $(shell find * ! -wholename '*/.*' -type l ! -exec test -r {} \; -printf "%p ")

check:
	@for link in $(BROKEN_LINKS); do echo "Found broken link $$link"; done
	@test -z "$(BROKEN_LINKS)"

fixperms:
	find * ! -wholename '*/.*' -a -type f -a ! -perm 644 -exec chmod 644 {} \; -printf "chmod 644 %p\n"

themes:
	@echo "Available themes:"
	@for theme in $(sort $(ALL_THEMES)); do echo $$theme; done

help::
	@echo "    check                    Performs self tests."
	@echo "    fixperms                 Fixes permissions of icon files."
	@echo "    help                     Displays this help."
	@echo "    themes                   Lists all available themes."

.PHONY: check fixperms help themes

################################# Distribution #################################

ifneq ($(THEME_FILES),)

DISTRIBUTIONS := $(PROJECT) \
	$(sort $(foreach theme,$(THEMES),$(call config,$(theme),Distribution)))
$(PROJECT)_DIST := \
	$(shell find src ! -wholename '*/.*' -type f) \
	$(THEME_FILES) \
	$(LINKS_FILE)

COMMON_LINKS1 := $(filter gnome-colors-common/16x16% gnome-colors-common/22x22%,$(COMMON_LINKS))
COMMON_LINKS2 := $(filter-out $(COMMON_LINKS1),$(COMMON_LINKS))

define dist_template
# The tar command must be split, otherwise you get this error:
# make: execvp: /bin/sh: Argument list too long
$(1)-$(VERSION).tar: $$(DOCS) $$(DIST_EXTRA) $$($(1)_DIST)
	$$(MAKE) fixperms
	tar -cf $$@ $$(filter-out $$(COMMON),$$^)
ifeq ($($(1)_DIST_COMMON),yes)
	tar -rf $$@ $$(COMMON_FILES)
	tar -rf $$@ $$(COMMON_LINKS1)
	tar -rf $$@ $$(COMMON_LINKS2)

$(1)-$(VERSION).tar: $$(COMMON)
endif

$(1)-$(VERSION).tar.bz2: $(1)-$(VERSION).tar
	bzip2 -cz9 $$< > $$@

$(1)-$(VERSION).tar.gz: $(1)-$(VERSION).tar
	gzip -cn9 $$< > $$@
endef

define dist_theme_template
$(call config,$(1),Distribution)-$(VERSION).tar: $(call THEME_BUILD,$(1))
endef

$(foreach dist,$(DISTRIBUTIONS),$(eval $(call dist_template,$(dist))))
$(foreach theme,$(THEMES),$(eval $(call dist_theme_template,$(theme))))

dist: gz

dist-src: $(PROJECT)-$(VERSION).tar.gz

bz2: $(addsuffix -$(VERSION).tar.bz2,$(DISTRIBUTIONS))

gz: $(addsuffix -$(VERSION).tar.gz,$(DISTRIBUTIONS))

help::
	@echo "    dist                     Creates distribution tar files."
	@echo "    dist-src                 Creates a source distribution tar file."
	@echo "    bz2                      Create distribution .tar.bz2 files."
	@echo "    gz                       Create distribution .tar.gz files."

endif

################################# Installation #################################

USER := ~/.icons
SYSTEM := $(DESTDIR)/usr/share/icons
BRANDING_FILES := $(patsubst %,gnome-colors-common/scalable/%.svg,$(BRANDING)) \
	$(foreach size,$(SIZES),$(patsubst %,gnome-colors-common/$(size)/%.png,$(BRANDING)))
UNBRANDED_COMMON := $(filter-out $(BRANDING_FILES),$(COMMON))

define install_template
$(SYSTEM)/$(1): $(1)
	install -D -m 644 $$< $$@

$(USER)/$(1): $(1)
	install -D -m 644 $$< $$@
endef

define install_links_template
$(SYSTEM)/$(1): $(1)
	cp -d $$< $$@

$(USER)/$(1): $(1)
	cp -d $$< $$@
endef

$(foreach file,$(BUILD_FILES) $(COMMON_FILES),$(eval $(call install_template,$(file))))
$(foreach file,$(BUILD_LINKS) $(COMMON_LINKS),$(eval $(call install_links_template,$(file))))

define theme_install_template
install-$(1): $$(addprefix $$(SYSTEM)/,$(call THEME_BUILD,$(1)))

user-install-$(1): $$(addprefix $$(USER)/,$(call THEME_BUILD,$(1)))

ifneq ($(COMMON),)
install-$(1): install-unbranded-gnome-colors-common
user-install-$(1): user-install-unbranded-gnome-colors-common
endif
endef

define theme_uninstall_template
uninstall-$(1):
	rm -rf $$(SYSTEM)/$(1)

user-uninstall-$(1):
	rm -rf $$(USER)/$(1)

.PHONY: uninstall-$(1) user-uninstall-$(1)
endef

$(foreach theme,$(THEMES),$(eval $(call theme_install_template,$(theme))))
$(foreach theme,$(ALL_THEMES),$(eval $(call theme_uninstall_template,$(theme))))

install-gnome-colors-common: $(addprefix $(SYSTEM)/,$(COMMON))

user-install-gnome-colors-common: $(addprefix $(USER)/,$(COMMON))

install-unbranded-gnome-colors-common: $(addprefix $(SYSTEM)/,$(UNBRANDED_COMMON))

user-install-unbranded-gnome-colors-common: $(addprefix $(USER)/,$(UNBRANDED_COMMON))

install: $(addprefix install-,$(ALL_THEMES))

user-install: $(addprefix user-install-,$(ALL_THEMES))

install-unbranded: $(addprefix install-,$(THEMES)) install-unbranded-gnome-colors-common

user-install-unbranded: $(addprefix user-install-,$(THEMES)) user-install-unbranded-gnome-colors-common

uninstall:
	rm -rf $(addprefix $(SYSTEM)/,$(ALL_THEMES))

user-uninstall:
	rm -rf $(addprefix $(USER)/,$(ALL_THEMES))

help::

=== icons_papirus/papirus-icon-theme/tools/work/Makefile ===
THEMES_DIR := ../..

all:

clean:
	@bash ./clean.sh

convert:
	@bash ./convert.sh

prepare:
	@bash ./prepare.sh

put:
	@bash ./put-into-theme.sh

.PHONY: all clean convert prepare put

# allows to run goals from the main Makefile
.PHONY: install uninstall dist release undo_release test test-all clean_themes
install uninstall dist release undo_release test test-all clean_themes:
	$(MAKE) -C "$(THEMES_DIR)" $@

=== debian/changelog ===
oomox (1.12.5.3-0.1~mx19+1) mx; urgency=medium

  * Intitial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jan 2020 15:32:54 -0800

=== debian/control ===
Source: oomox
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.3
Homepage: https://github.com/themix-project/oomox

Package: oomox
Architecture: all
Depends: 
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 gtk2-engines,
 gtk2-engines-murrine,
 gtk2-engines-pixbuf,
 libglib2.0-bin,
 libgtk-3-0,
 libgtk-3-bin,
 libgtk-3-common,
 libsass1 | libsass0,
 librsvg2-bin,
 libxml2-utils,
 optipng,
 parallel,
 python3-gi,
 python3-pil,
 python3-pillow,
 python3-pystache,
 python3-yaml,
 sed,
 sassc,
 ruby-sass,
 x11-xserver-utils
Suggests: archdroid-icon-theme,
 breeze-icon-theme,
 gnome-colors-icon-theme,
 imagemagick,
 inkscape,
 oomox-gtk-theme,
 oomoxify
Description: Oomox theme designer
 Graphical application for generating different color variations of Oomox
 (Numix-based), Materia (ex-Flat-Plat) and Arc themes (GTK2, GTK3, Cinnamon,
 GNOME, Openbox, Xfwm), Archdroid, Gnome-Color, Numix, Papirus and Suru++ icon
 themes. Has a hack for HiDPI in gtk2.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --enable-gtk3
